<?php
declare (strict_types = 1);

namespace app\listener\space;

use app\services\opening\OpeningDiceService;
use freedom\utils\SocketSession;
use think\swoole\Websocket;

class OpeningDice
{
    /**
     * 事件监听处理
     *
     * @return void
     */
    public function handle(array $event, Websocket $ws)
    {
        $preliminaryCheckRes = SocketSession::preliminaryCheck($event,'space');
        if($preliminaryCheckRes['status'] == true){
            $tableInfo = $preliminaryCheckRes['data'];
            OpeningDiceService::openingDice($event,$tableInfo,$ws);
        }else{
            $ws->emit('openingDice', ['status' => false, 'msg' => $preliminaryCheckRes['msg']]);
        }
    }
}
